#ifndef OBJ09_DB_H
#define OBJ09_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Database for obj09 example */
/* This is the DDL (Database Definition Language) for a sample database
 * that could store sales information.  There is only one record type defined
 * called office, it has a single indexed field called name.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c option to create an embedded dbd file.  The -c option will generate
 * a c header file (obj09_db_dbd.h) and a c source file (obj09_db_dbd.c)
 * which can be compiled into the application and used with the Open Method
 * to create the database if it does not already exist.
 * 
 * The following command was used to generate the database structure used in
 * this example:
 *
 * ddlp -c -cpp -d obj09_db.ddl
 */


/* database obj09_db record/key structure declarations */

struct office {
   char name[32];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define OFFICE 10000

/* Field Name Constants */
#define NAME 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_NAME 32

/*lint --flb */
#endif    /* OBJ09_DB_H */
